Skip to main content

Things to Know About Windows Server 2008/Windows Vista Service Pack 2 (SP2)

Prerequisites

If you have any beta versions of SP2 installed, they must be un-installed prior to installing.

  • Use the Control Panel applet “Programs and Features” and select “View installed updates” from the top left of the task pane, under Windows, look for KB94846.

You must have a genuine copy of Windows Server 2008 with Service Pack 1 (SP1) or Windows Vista with SP1 installed on the computer prior to installing SP2.

  • Windows Server 2008 released with the SP1 code included
  • SP2 is the first post-release Service Pack for Windows Server 2008

Recommendations

If “vLite” was used to customize your Windows Vista installation, you may have removed required system components which prevent Service Pack 2 from installing. See KB 968279 for additional details before installing Service Pack 2.

Beta versions of Windows Server 2008 SP2/Windows Vista SP2 are time-limited software that will operate until June 1, 2010.  If you installed any beta versions of Windows Server 2008 SP2/Windows Vista SP2 it is highly recommended that you uninstall them before June 1, 2010.

Microsoft is conducting an online survey to understand your opinion of the MSDN Web site. If you choose to participate, the online survey will be presented to you when you leave the MSDN Web site.

Would you like to participate?